{
  "_from": "before-after-hook@^2.2.0",
  "_id": "before-after-hook@2.2.2",
  "_inBundle": false,
  "_integrity": "sha512-3pZEU3NT5BFUo/AD5ERPWOgQOCZITni6iavr5AUw5AUwQjMlI0kzu5btnyD39AF0gUEsDPwJT+oY1ORBJijPjQ==",
  "_location": "/before-after-hook",
  "_phantomChildren": {},
  "_requested": {
    "type": "range",
    "registry": true,
    "raw": "before-after-hook@^2.2.0",
    "name": "before-after-hook",
    "escapedName": "before-after-hook",
    "rawSpec": "^2.2.0",
    "saveSpec": null,
    "fetchSpec": "^2.2.0"
  },
  "_requiredBy": [
    "/@octokit/core"
  ],
  "_resolved": "https://nexus.boos.solutions/repository/gpb-npm/before-after-hook/-/before-after-hook-2.2.2.tgz",
  "_shasum": "a6e8ca41028d90ee2c24222f201c90956091613e",
  "_spec": "before-after-hook@^2.2.0",
  "_where": "/root/farzoom/eco-ebg/node_modules/@octokit/core",
  "author": {
    "name": "Gregor Martynus"
  },
  "bugs": {
    "url": "https://github.com/gr2m/before-after-hook/issues"
  },
  "bundleDependencies": false,
  "dependencies": {},
  "deprecated": false,
  "description": "asynchronous before/error/after hooks for internal functionality",
  "devDependencies": {
    "browserify": "^16.0.0",
    "gaze-cli": "^0.2.0",
    "istanbul": "^0.4.0",
    "istanbul-coveralls": "^1.0.3",
    "mkdirp": "^1.0.3",
    "prettier": "^2.0.0",
    "rimraf": "^3.0.0",
    "semantic-release": "^17.0.0",
    "simple-mock": "^0.8.0",
    "tap-min": "^2.0.0",
    "tap-spec": "^5.0.0",
    "tape": "^5.0.0",
    "typescript": "^3.5.3",
    "uglify-js": "^3.9.0"
  },
  "files": [
    "index.js",
    "index.d.ts",
    "lib"
  ],
  "homepage": "https://github.com/gr2m/before-after-hook#readme",
  "keywords": [
    "hook",
    "hooks",
    "api"
  ],
  "license": "Apache-2.0",
  "main": "index.js",
  "name": "before-after-hook",
  "release": {
    "publish": [
      "@semantic-release/npm",
      {
        "path": "@semantic-release/github",
        "assets": [
          "dist/*.js"
        ]
      }
    ]
  },
  "repository": {
    "type": "git",
    "url": "git+https://github.com/gr2m/before-after-hook.git"
  },
  "scripts": {
    "build": "browserify index.js --standalone=Hook > dist/before-after-hook.js",
    "lint": "prettier --check '{lib,test,examples}/**/*' README.md package.json",
    "lint:fix": "prettier --write '{lib,test,examples}/**/*' README.md package.json",
    "postbuild": "uglifyjs dist/before-after-hook.js -mc > dist/before-after-hook.min.js",
    "posttest": "npm run validate:ts",
    "postvalidate:ts": "tsc --noEmit --strict --target es6 test/typescript-validate.ts",
    "prebuild": "rimraf dist && mkdirp dist",
    "presemantic-release": "npm run build",
    "pretest": "npm run -s lint",
    "semantic-release": "semantic-release",
    "test": "npm run -s test:node | tap-spec",
    "test:coverage": "istanbul cover test",
    "test:coverage:upload": "istanbul-coveralls",
    "test:node": "node test",
    "test:watch": "gaze 'clear && node test | tap-min' 'test/**/*.js' 'index.js' 'lib/**/*.js'",
    "validate:ts": "tsc --strict --target es6 index.d.ts"
  },
  "types": "./index.d.ts",
  "version": "2.2.2"
}
